package test;

import java.io.IOException;

import junit.framework.Test;
import junit.framework.TestSuite;

import org.apache.cactus.ServletTestCase;
import org.jboss.jsfunit.jsfsession.JSFClientSession;
import org.jboss.jsfunit.jsfsession.JSFServerSession;
import org.jboss.jsfunit.jsfsession.JSFSession;

public class GuessNumberTest extends ServletTestCase
{
   private JSFClientSession client;
   private JSFServerSession server;

   // JUnit suite() method
   public static Test suite()
   {
      return new TestSuite( GuessNumberTest.class );
   }

   // optional JUnit setUp() method
   public void setUp() throws IOException
   {    
      // Initial JSF request
      JSFSession jsfSession = new JSFSession("/index.jsp");
      this.client = jsfSession.getJSFClientSession();
      this.server = jsfSession.getJSFServerSession();
   }

   // one or more JUnit test methods
   public void testHelloWorld() throws IOException
   {
      assert(client.getPageAsText().contains("Please pick a number between 0 and 100."));
   }
} 

